Support » Plugin: WPA SEO Auto Linker » PHP Warnings :)

  • Hello.

    Are these warnings important or can I continue to use the plugin? πŸ™‚

    Screenshot:
    https://i.postimg.cc/jKsbkM4P/aloha.jpg

    Warning example:

    Undefined index: https://www.domain.com/url/ 1

    wp-content/plugins/wpa-seo-auto-linker/wpa-seo-auto-linker.php:144
    SEOAutoLinks->SEOAutoLinks_process_text()
    wp-content/plugins/wpa-seo-auto-linker/wpa-seo-auto-linker.php:265
    SEOAutoLinks->SEOAutoLinks_the_content_filter()
    wp-includes/class-wp-hook.php:287
    apply_filters(‘the_content’)
    wp-content/themes/enfold/template-builder.php:100

    Plugin: wpa-seo-auto-linker

    Thanks for the plugin ^^

Viewing 3 replies - 1 through 3 (of 3 total)
  • I can confirm this issue

    Also those with wp-cli:

    Notice: wp_register_script was called <strong>incorrectly</strong>. Scripts and styles should not be registered or enqueued until the <code>wp_enqueue_scripts</code>, <code>admin_enqueue_scripts</code>, or <code>login_enqueue_scripts</code> hooks. This notice was triggered by the <code>wl_enabled_blocks</code> handle. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 3.3.0.) in /domain/wp-includes/functions.php on line 5229
    Notice: wp_enqueue_script was called <strong>incorrectly</strong>. Scripts and styles should not be registered or enqueued until the <code>wp_enqueue_scripts</code>, <code>admin_enqueue_scripts</code>, or <code>login_enqueue_scripts</code> hooks. This notice was triggered by the <code>wl_enabled_blocks</code> handle. Please see <a href="https://wordpress.org/support/article/debugging-in-wordpress/">Debugging in WordPress</a> for more information. (This message was added in version 3.3.0.) in /domain/wp-includes/functions.php on line 5229
    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; SEOAutoLinks has a deprecated constructor in /domain/wp-content/plugins/wpa-seo-auto-linker/wpa-seo-auto-linker.php on line 13
    Plugin Author arjanolsder

    (@arjanolsder)

    With WP 5.5.2 these have became a problem. Today we dedicated a developer for fixing these issues. I hope we will release the new version over the weekend.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.